// $Id: ajax_validation.js,v 1.1.2.1 2008/08/08 18:45:40 tapocol Exp $

$(document).ready(function() {
  $('form').submit(function() {
    var form = $(this);
    var success = false;
    $('#'+ form.attr('id') +' .error').removeClass('error');
    $('#'+ form.attr('id') +' .error_message').remove();
    var args = form.serializeArray();
    var path = form.attr('action').substring(Drupal.settings.basePath.length);
    var response = $.ajax({
      url: Drupal.settings.basePath + 'ajax_validation?action=' + path,
      async: false,
      cache: false,
      data: args,
      dataType: 'json',
      type: 'POST',
      success: function(data) {
        var thisform = form;
        if (data.success) {
          success = true;
        }
        else {
          var errors = data.errors;
          for (var i = 0; i < errors.elements.length; i++) {
            var element = $('[name="'+ errors.elements[i] +'"]');
            element.after('<div class="error_message">'+ errors.messages[i] +'</div>');
            element.addClass('error');
          }
          $('#'+ errors.button).after('<div class="error_message">'+ errors.button_message +'</div>');
        }
      },
      error: function(data) {
        alert("Could not connect properly.\n"+ data.responseText);
      }
    });
    return success;
  });
});
